Remove unnecessary borders from message area

RESOLVED WONTFIX

Status

Instantbird
Conversation
RESOLVED WONTFIX
4 years ago
4 years ago

People

(Reporter: aleth, Assigned: aleth)

Tracking

Details

Attachments

(1 attachment)

(Assignee)

Description

4 years ago
*** Original post on bio 1065 at 2011-10-10 17:43:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

4 years ago
Created attachment 8352614 [details] [diff] [review]
Patch for conversation.css

*** Original post on bio 1065 as attmnt 872 at 2011-10-10 17:43:00 UTC ***

This patch removes the border on the right and on the bottom of the message
area (for a cleaner look and consistency with the buddy list). These two borders actually only appear for some OS themes.

(moved across from bug 954495 (bio 1059) as it's an independent issue)
(screenshot at bug 954495 (bio 1059))
Attachment #8352614 - Flags: review?
(Assignee)

Comment 2

4 years ago
*** Original post on bio 1065 at 2011-10-10 18:10:48 UTC ***

As mentioned in IRC, if the borders are kept the way they are now, then the bottom border should probably be extended across the entire window (i.e. the bottom of the participant list would also require a border).
Comment on attachment 8352614 [details] [diff] [review]
Patch for conversation.css

*** Original change on bio 1065 attmnt 872 at 2011-10-15 23:16:55 UTC ***

These borders are meant to look like the borders of the listbox used for the list of participants.

With your GTK theme this doesn't seem to work well, but on your screenshot (attachment 8352607 [details] (bio-attmnt 864)) it seems the theme you have on KDE would look good with these borders.

A good fix here should either find a way to make these borders match the borders of the listbox better for all GTK themes, or should style the listbox differently (I think it's currently very ugly on both Linux and Windows).
Attachment #8352614 - Flags: review? → review-
(Assignee)

Comment 4

4 years ago
*** Original post on bio 1065 at 2012-01-16 20:52:52 UTC ***

Marking as WONTFIX as per comment #2. Though there are some outstanding imperfections in the Linux conversation window, they would require a more complete look than merely focusing on these borders. 

However, anyone coming here who wants these borders removed now can use the less is more add-on (https://addons.instantbird.org/en-US/instantbird/addon/303) ;)
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.